<center id="qkqgy"><optgroup id="qkqgy"></optgroup></center>
  • <menu id="qkqgy"></menu>
    <nav id="qkqgy"></nav>
    <xmp id="qkqgy"><nav id="qkqgy"></nav>
  • <xmp id="qkqgy"><menu id="qkqgy"></menu>
    <menu id="qkqgy"><menu id="qkqgy"></menu></menu>
    <tt id="qkqgy"><tt id="qkqgy"></tt></tt>

  • java.lang.NullPointerException: Cannot invoke
    "com.alibaba.druid.stat.JdbcDataSourceStat.getRuningSqlList()" because the
    return value of "com.alibaba.druid.pool.DruidDataSource.getDataSourceStat()" is
    null

    原因:版本不一致出現。使用的是5.x.x的。

    解決:改了就可以了(之前是5.x.x)

    在mysql中執行SELECT VERSION()

    mysql-connector-java版本需與mysql版本一致
    <!--mysql驅動--> <dependency> <groupId>mysql</groupId>
    <artifactId>mysql-connector-java</artifactId> <version>8.0.27</version>
    <scope>compile</scope> </dependency>

    注意:檢查數據庫版本

    com.mysql.jdbc.Driver 是 mysql-connector-java 5及5之前的,

    com.mysql.cj.jdbc.Driver 是 mysql-connector-java 6及6之后的的。

    技術
    下載桌面版
    GitHub
    百度網盤(提取碼:draw)
    Gitee
    云服務器優惠
    阿里云優惠券
    騰訊云優惠券
    華為云優惠券
    站點信息
    問題反饋
    郵箱:ixiaoyang8@qq.com
    QQ群:766591547
    關注微信
    巨胸美乳无码人妻视频